{
===============================================================================
  Copyright (©) 2002. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 05-01-2005
  Versión actual: 1.0.0
  Fecha versión actual: 05-01-2005
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit BarraAgenda;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RdxBotones, ExtCtrls, RdxPaneles, RdxBarras, RdxFrame, ActnList,
  StdCtrls, pngimage;

type
  TfrBarraAgenda = class(TRdxFrame)
    Panel2: TPanel;
    shSeparador: TShape;
    pnlBarraLateral: TPanel;
    imgFondo: TImage;
    pnlTitulo: TPanel;
    eTitulo: TLabel;
    imgSombra: TImage;
    bClientes: TRdxBotonLateral;
    bPresupuestos: TRdxBotonLateral;
    bContratos: TRdxBotonLateral;
    bObras: TRdxBotonLateral;
    Acciones: TActionList;
    actAgenda: TAction;
    actMontajes: TAction;
    actSeguimientoPedidos: TAction;
    actObras: TAction;
    actMediciones: TAction;
    RdxBotonLateral1: TRdxBotonLateral;
    Panel3: TPanel;
    Panel1: TPanel;
    procedure actAgendaExecute(Sender: TObject);
    procedure actMontajesExecute(Sender: TObject);
    procedure actMedicionesExecute(Sender: TObject);
    procedure actSeguimientoPedidosExecute(Sender: TObject);
    procedure actObrasExecute(Sender: TObject);
  public
    constructor Create (AOwner: TComponent); override;
  end;

var
  frBarraAgenda: TfrBarraAgenda;

implementation
{$R *.DFM}
uses
  Principal, Configuracion, Entidades, Agenda, CalendarioMontajes,
  CalendarioMediciones, CalendarioRecepciones; //, Obras;

constructor TfrBarraAgenda.Create (AOwner: TComponent);
begin
  inherited Create(AOwner);
  Entidad := entAgenda;
  ConfigurarBarraLateral(Self, Self.Entidad);
  actAgenda.Execute;
end;

procedure TfrBarraAgenda.actAgendaExecute(Sender: TObject);
begin
  Contenido := TfrAgenda.Create(Self);
end;

procedure TfrBarraAgenda.actMontajesExecute(Sender: TObject);
begin
  Contenido := TfrCalendarioMontajes.Create(Self);
end;

procedure TfrBarraAgenda.actMedicionesExecute(Sender: TObject);
begin
  Contenido := TfrCalendarioMediciones.Create(Self);
end;

procedure TfrBarraAgenda.actSeguimientoPedidosExecute(Sender: TObject);
begin
  Contenido := TfrCalendarioRecepciones.Create(Self);
end;

procedure TfrBarraAgenda.actObrasExecute(Sender: TObject);
begin
//  Contenido := TfrObras.Create(Self);
end;

end.
